%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%graphic interface for stress - temperature control
%load recovery_stress_3_5_down
step_eps = 0.0005; %initial stress step
step_T = 0.25; %initial temperature step
step_sig = 0; %initial stress step
checked_eps = 0; 
checked_T = 0;
checked_sig = 0;
bdwidth = 5;
topbdwidth = 40;
set(0,'Units','pixels') 
scnsize = get(0,'ScreenSize');
pos1  = [bdwidth,... 
    topbdwidth,...
    scnsize(3) - 2*bdwidth,...
    scnsize(4) - 2*topbdwidth];
cell_hight = (pos1(4)-2*bdwidth)/30;
cell_width = (pos1(3)-2*bdwidth)/23;
direction = 1; %direction in control interface
reset = 0; % state of reset button


h(1) = figure('position',pos1,'Toolbar','figure' ,'MenuBar','none',...
    'name','iRLOOP,  ver.2.1,  LUM, ASCR',...
    'NumberTitle','off'); 
h(3) = uicontrol(h(1),'Style', 'pushbutton', 'String', '<<','Position', [7*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'Callback',...
    'set(h(4),''Enable'',''on'');direction = -1;');
h(4) = uicontrol(h(1),'Style', 'pushbutton', 'String', 'Stop','Position', [8*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'Callback',...
    'set(h(4),''Enable'',''off'');');
h(5) = uicontrol(h(1),'Style', 'pushbutton', 'String', '>>','Position', [9*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'Callback',...
    'set(h(4),''Enable'',''on'');direction = 1;');
h(15) = uicontrol(h(1),'style','checkbox','Position', [11*cell_width 0.2*cell_hight 0.2*cell_width cell_hight],'Callback',...
    'checked_sig = 1*(checked_sig == 0);checked_eps = 0;set(h(16),''Value'',0);');
h(14) =uicontrol(h(1),'style','text','Position', [11.2*cell_width 0.2*cell_hight 1*cell_width 0.9*cell_hight],'String','sig_step [MPa]:');
h(13) = uicontrol(h(1),'style','edit','Callback', 'step_sig = str2num(get(h(13),''String''));',...
      'Position', [12.2*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'String',num2str(step_sig)); 

h(16) = uicontrol(h(1),'style','checkbox','Position', [14*cell_width 0.2*cell_hight 0.2*cell_width cell_hight],'Callback',...
    'checked_eps = 1*(checked_eps == 0);checked_sig = 0;set(h(15),''Value'',0);');
h(6) =uicontrol(h(1),'style','text','Position', [14.2*cell_width 0.2*cell_hight 1*cell_width 0.9*cell_hight],'String','eps_step [1]:');
h(7) = uicontrol(h(1),'style','edit','Callback', 'step_eps = str2num(get(h(7),''String''));',...
      'Position', [15.2*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'String',num2str(step_eps)); 

  
h(17) = uicontrol(h(1),'style','checkbox','Position', [17*cell_width 0.2*cell_hight 0.2*cell_width cell_hight],'Callback','checked_T = 1*(checked_T == 0);');
h(18) = uicontrol(h(1),'style','text','Position', [17.2*cell_width 0.2*cell_hight 1*cell_width 0.9*cell_hight],'String','T_step [K]:');
h(19) = uicontrol(h(1),'style','edit','Callback', 'step_T = str2num(get(h(19),''String''));',...
      'Position', [18.2*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'String',num2str(step_T));  
  
h(8) = uicontrol(h(1),'Style', 'pushbutton', 'String', 'Exit','Position', [20*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'Callback',...
    'set(h(8),''Enable'',''off'');set(h(4),''Enable'',''on'');');
h(9) = uicontrol(h(1),'Style', 'pushbutton', 'String', 'Reset','Position', [1*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'Callback',...
    'reset = 1;set(h(4),''Enable'',''on'');');
n_plot = 1;
h(26) = uicontrol(h(1),'Style','popupmenu','String',...
    'sig-eps|sig-T|ksi-time|eps-T',...
    'Position', [4*cell_width 0.2*cell_hight 1*cell_width cell_hight],...
    'Callback','n_plot = get(h(26),''value'');','value',1);  

h(27) = uicontrol(h(1),'Style', 'pushbutton', 'String', 'PLOT','Position', [3*cell_width 0.2*cell_hight 0.9*cell_width cell_hight],'Callback',...
    'plot_result;');

uicontrol(h(1),'style','text','Position', [0.2*cell_width 2*cell_hight 0.9*cell_width 0.9*cell_hight],'String','eps = ');
uicontrol(h(1),'style','text','Position', [0.2*cell_width 3*cell_hight 0.9*cell_width 0.9*cell_hight],'String','T =');
uicontrol(h(1),'style','text','Position', [0.2*cell_width 4*cell_hight 0.9*cell_width 0.9*cell_hight],'String','sig =');

h(20) = uicontrol(h(1),'style','text','Position', [1.2*cell_width 2*cell_hight 0.9*cell_width 0.9*cell_hight],'String',num2str(0));
h(21) = uicontrol(h(1),'style','text','Position', [1.2*cell_width 3*cell_hight 0.9*cell_width 0.9*cell_hight],'String',num2str(Af));
h(22) = uicontrol(h(1),'style','text','Position', [1.2*cell_width 4*cell_hight 0.9*cell_width 0.9*cell_hight],'String',num2str(0));

  
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%priprava grafu sig - eps
graf1 = subplot(2,2,1);
gr_sig_eps = plot([],[]);hold on;
gr_sig_eps_end = plot([],[]);
xlabel('\epsilon [1]');ylabel('\sigma [MPa]');
grid on;
title('\sigma-\epsilon','FontWeight','bold','FontSize',12);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%graph sig - T preparation
graf2 = subplot(2,2,2); 
gr_sig_T = plot([],[]); hold on;
gr_sig_T_end = plot([],[]);
grid on;
xlabel('T [K]');ylabel('\sigma [MPa]');
title('\sigma-T','FontWeight','bold','FontSize',12);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%graph ksi - time preparation
graf3 = subplot(2,2,3);
gr_ksi_time = plot([],[]);hold on;
gr_eps_tr_time = plot([],[]);
gr_ksi_R_time = plot([],[]);
xlabel('time [1]');ylabel('\xi [r] \xi_R [k] \epsilon_{tr} [g]');
title('Evolution of internal variables','FontWeight','bold','FontSize',12);
grid on;
ylim([-1 1]);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%graph eps - T preparation
graf4 = subplot(2,2,4);
gr_eps_T = plot([],[]);hold on
grid on;
xlabel('T [K]'); ylabel('\epsilon [1]');
title('\epsilon - T','FontWeight','bold','FontSize',12);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%