global K a E_aus E_mar E_R sig_reo To deltaS Ms Mf As Af ...
       E_int E_inter2 E_inter1 E_int_R d_sig_reo_T options_iter deltaS_R Rs Rf 

% transformation strain surface   
K = 0.07; %[1] transf. strain in tension
a = 0.8;%   [1]  coef. determining asymmetry tension-compression

% elastic properties
E_aus = 75000; %[MPa] Young modulus A
E_mar = 40000; %[MPA] Young modulus M
E_R = 30000; %[MPA] Young modulus R

%parameters of chemical energy 
deltaS = 0.364;  %[MPa/K]  entropy difference M to A
deltaS_R = 0.15; %[MPa/K] entropy difference R to A
To = 0; %[C] austenite-martensite equilibrium temperature
Rs = 40; % R-phase start temperature
Rf = 10; % R-phase finish temperature

%parameters of dissipation function
Ms = -5; %[C]  Ms, Mf, As, Af have ordinary meaning of transformation temperatures only if transformation goes directly A to M
Mf = -8; %[C]
As = 0; %[C]
Af = 5; %[C]
sig_reo_o = 60; %[MPa] reorientation stress at To. Reorientation stress in tension = sig_reo_o*sqrt(3/2)
d_sig_reo_T = -0.10; %[MPa/K] slope of linear change of sig_reo with temperature

%parameters in regularization and smoothing terms
E_int = 10; %[MPa]  hardening in martensite reorientation, regularization term for ||eps_tr||-->1
E_inter1 = 10; %[1/MPa^0.25] regularization term for ksi --> 0
E_inter2 = 3; %[1/MPa^0.5] regularization term for ksi --> 1
E_int_R = 10; %%[1/MPa^0.5] regularization term for ksi_R --> 1,0

%options in simplex minimization
options_iter = optimset('display','off','TolX',1e-10,'MaxIter',3000,'MaxFunEvals',10000,'TolFun',1e-9);