clear all
close all
Input_parameters
Graphic_interface
Initial_conditions

while isequal(get(h(8),'enable'),'on'), %performed until Exit button is pressed 
    if reset == 1, % Reset button pressed
       Initial_conditions
    end;
    sig_reo = sig_reo_o + (T-To)*d_sig_reo_T; %temperature change of sig_reo
    if checked_sig == 0, %strain driven
        [sig_e,internal_variables] = stress_strain(eps,T,internal_variables);
        sig = sig_e;
    else  %stress driven
         sig1 = stress_strain(eps,T,internal_variables);
         if sig1 < sig,
           sig2 = stress_strain(eps+0.0001,T,internal_variables); 
           eps = eps + (sig-sig1)/((sig2-sig1)/0.0001);
         else
           sig2 = stress_strain(eps-0.0001,T,internal_variables); 
           eps = eps - (sig-sig1)/((sig2-sig1)/0.0001);
         end;
         [sig_e,internal_variables] = stress_strain(eps,T,internal_variables);
    end;
    time = time+1;
    % data storage
    eps_all =   [eps_all eps];
    sig_all =   [sig_all sig_e];
    T_all  =    [T_all T]; 
    ksi_all =   [ksi_all internal_variables.ksi];
    ksi_R_all = [ksi_R_all internal_variables.ksi_R];
    eps_tr_all = [eps_tr_all internal_variables.eps_tr];
    time_all = [time_all time];
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    Graphic_upgrade
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    % next step:
    waitfor(h(4),'Enable','on');  % waiting for Stop button pressing
    eps = eps + direction*step_eps*checked_eps;
    T = T + direction*step_T*checked_T;
    sig = sig + direction*step_sig*checked_sig;
end;
